<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage CARLAX
 * @since CARLAX 1.0
 */

$carlax_template_args = get_query_var('carlax_template_args');
if (is_array($carlax_template_args)) {
	$carlax_columns = empty($carlax_template_args['columns']) ? 2 : max(2, $carlax_template_args['columns']);
	$carlax_blog_style = array($carlax_template_args['type'], $carlax_columns);
} else {
	$carlax_blog_style = explode('_', carlax_get_theme_option('blog_style'));
	$carlax_columns = empty($carlax_blog_style[1]) ? 2 : max(2, $carlax_blog_style[1]);
}
$carlax_post_format = get_post_format();
$carlax_post_format = empty($carlax_post_format) ? 'standard' : str_replace('post-format-', '', $carlax_post_format);
$carlax_animation = carlax_get_theme_option('blog_animation');

?><article id="post-<?php the_ID(); ?>" <?php
	post_class( 'post_item'
				. ' post_layout_portfolio'
				. ' post_layout_portfolio_'.esc_attr($carlax_columns)
				. ' post_format_'.esc_attr($carlax_post_format)
				. (is_sticky() && !is_paged() ? ' sticky' : '')
				. (!empty($carlax_template_args['slider']) ? ' slider-slide swiper-slide' : '')
			);
	echo (!carlax_is_off($carlax_animation) && empty($carlax_template_args['slider']) ? ' data-animation="'.esc_attr(carlax_get_animation_classes($carlax_animation)).'"' : '');
?>><?php

	// Sticky label
	if ( is_sticky() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	$carlax_image_hover = !empty($carlax_template_args['hover']) && !carlax_is_inherit($carlax_template_args['hover'])
								? $carlax_template_args['hover']
								: carlax_get_theme_option('image_hover');
	// Featured image
	carlax_show_post_featured(array(
		'singular' => false,
		'hover' => $carlax_image_hover,
		'no_links' => !empty($carlax_template_args['no_links']),
		'thumb_size' => carlax_get_thumb_size(strpos(carlax_get_theme_option('body_style'), 'full')!==false || $carlax_columns < 3 
								? 'masonry-big' 
								: 'masonry'),
		'show_no_image' => true,
		'class' => $carlax_image_hover == 'dots' ? 'hover_with_info' : '',
		'post_info' => $carlax_image_hover == 'dots' ? '<div class="post_info">'.esc_html(get_the_title()).'</div>' : ''
	));
	?>
</article>