<?php
/**
 * The Sticky template to display the sticky posts
 *
 * Used for index/archive
 *
 * @package WordPress
 * @subpackage CARLAX
 * @since CARLAX 1.0
 */

$carlax_columns = max(1, min(3, count(get_option( 'sticky_posts' ))));
$carlax_post_format = get_post_format();
$carlax_post_format = empty($carlax_post_format) ? 'standard' : str_replace('post-format-', '', $carlax_post_format);
$carlax_animation = carlax_get_theme_option('blog_animation');

?><div class="column-1_<?php echo esc_attr($carlax_columns); ?>"><article id="post-<?php the_ID(); ?>" 
	<?php post_class( 'post_item post_layout_sticky post_format_'.esc_attr($carlax_post_format) ); ?>
	<?php echo (!carlax_is_off($carlax_animation) ? ' data-animation="'.esc_attr(carlax_get_animation_classes($carlax_animation)).'"' : ''); ?>
	>

	<?php
	if ( is_sticky() && is_home() && !is_paged() ) {
		?><span class="post_label label_sticky"></span><?php
	}

	// Featured image
	carlax_show_post_featured(array(
		'thumb_size' => carlax_get_thumb_size($carlax_columns==1 ? 'big' : ($carlax_columns==2 ? 'med' : 'avatar'))
	));

	if ( !in_array($carlax_post_format, array('link', 'aside', 'status', 'quote')) ) {
		?>
		<div class="post_header entry-header">
			<?php
			// Post title
			the_title( sprintf( '<h6 class="post_title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h6>' );
			// Post meta
			carlax_show_post_meta(apply_filters('carlax_filter_post_meta_args', array(), 'sticky', $carlax_columns));
			?>
		</div><!-- .entry-header -->
		<?php
	}
	?>
</article></div>