<?php
/**
 * The template for homepage posts with "Classic" style
 *
 * @package WordPress
 * @subpackage CARLAX
 * @since CARLAX 1.0
 */

carlax_storage_set('blog_archive', true);

get_header(); 

if (have_posts()) {

	carlax_blog_archive_start();

	$carlax_classes = 'posts_container '
						. (substr(carlax_get_theme_option('blog_style'), 0, 7) == 'classic' 
							? 'columns_wrap columns_padding_bottom' 
							: 'masonry_wrap'
							);
	$carlax_stickies = is_home() ? get_option( 'sticky_posts' ) : false;
	$carlax_sticky_out = carlax_get_theme_option('sticky_style')=='columns' 
							&& is_array($carlax_stickies) && count($carlax_stickies) > 0 && get_query_var( 'paged' ) < 1;
	if ($carlax_sticky_out) {
		?><div class="sticky_wrap columns_wrap"><?php	
	}
	if (!$carlax_sticky_out) {
		if (carlax_get_theme_option('first_post_large') && !is_paged() && !in_array(carlax_get_theme_option('body_style'), array('fullwide', 'fullscreen'))) {
			the_post();
			get_template_part( apply_filters('carlax_filter_get_template_part', 'content', 'excerpt'), 'excerpt' );
		}
		
		?><div class="<?php echo esc_attr($carlax_classes); ?>"><?php
	}
	while ( have_posts() ) { the_post(); 
		if ($carlax_sticky_out && !is_sticky()) {
			$carlax_sticky_out = false;
			?></div><div class="<?php echo esc_attr($carlax_classes); ?>"><?php
		}
		$carlax_part = $carlax_sticky_out && is_sticky() ? 'sticky' : 'classic';
		get_template_part( apply_filters('carlax_filter_get_template_part', 'content', $carlax_part), $carlax_part );
	}
	
	?></div><?php

	carlax_show_pagination();

	carlax_blog_archive_end();

} else {

	if ( is_search() )
		get_template_part( apply_filters('carlax_filter_get_template_part', 'content', 'none-search'), 'none-search' );
	else
		get_template_part( apply_filters('carlax_filter_get_template_part', 'content', 'none-archive'), 'none-archive' );

}

get_footer();
?>