<?php
/* Booked Appointments support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if (!function_exists('carlax_booked_theme_setup9')) {
	add_action( 'after_setup_theme', 'carlax_booked_theme_setup9', 9 );
	function carlax_booked_theme_setup9() {
		add_filter( 'carlax_filter_merge_styles', 						'carlax_booked_merge_styles' );
		if (is_admin()) {
			add_filter( 'carlax_filter_tgmpa_required_plugins',	'carlax_booked_tgmpa_required_plugins' );
		}
	}
}

// Filter to add in the required plugins list
if ( !function_exists( 'carlax_booked_tgmpa_required_plugins' ) ) {
	//Handler of the add_filter('carlax_filter_tgmpa_required_plugins',	'carlax_booked_tgmpa_required_plugins');
	function carlax_booked_tgmpa_required_plugins($list=array()) {
		if (carlax_storage_isset('required_plugins', 'booked')) {
			$path = carlax_get_file_dir('plugins/booked/booked.zip');
			if (!empty($path) || carlax_get_theme_setting('tgmpa_upload')) {
				$list[] = array(
					'name' 		=> carlax_storage_get_array('required_plugins', 'booked'),
					'slug' 		=> 'booked',
					'source' 	=> !empty($path) ? $path : 'upload://booked.zip',
					'required' 	=> false
				);
			}
		}
		return $list;
	}
}


// Check if plugin installed and activated
if ( !function_exists( 'carlax_exists_booked' ) ) {
	function carlax_exists_booked() {
		return class_exists('booked_plugin');
	}
}
	
// Merge custom styles
if ( !function_exists( 'carlax_booked_merge_styles' ) ) {
	//Handler of the add_filter('carlax_filter_merge_styles', 'carlax_booked_merge_styles');
	function carlax_booked_merge_styles($list) {
		if (carlax_exists_booked()) {
			$list[] = 'plugins/booked/_booked.scss';
		}
		return $list;
	}
}


// Add plugin-specific colors and fonts to the custom CSS
if (carlax_exists_booked()) { require_once CARLAX_THEME_DIR . 'plugins/booked/booked-styles.php'; }
?>