<?php
// Add plugin-specific colors and fonts to the custom CSS
if (!function_exists('carlax_mailchimp_get_css')) {
	add_filter('carlax_filter_get_css', 'carlax_mailchimp_get_css', 10, 2);
	function carlax_mailchimp_get_css($css, $args) {
		
		if (isset($css['fonts']) && isset($args['fonts'])) {
			$fonts = $args['fonts'];
			$css['fonts'] .= <<<CSS
form.mc4wp-form .mc4wp-form-fields input[type="email"] {
	{$fonts['input_font-family']}
	{$fonts['input_font-size']}
	{$fonts['input_font-weight']}
	{$fonts['input_font-style']}
	{$fonts['input_line-height']}
	{$fonts['input_text-decoration']}
	{$fonts['input_text-transform']}
	{$fonts['input_letter-spacing']}
}


CSS;
		}		

		if (isset($css['vars']) && isset($args['vars'])) {
			$vars = $args['vars'];
			
			$css['vars'] .= <<<CSS

form.mc4wp-form .mc4wp-form-fields input[type="email"],
form.mc4wp-form .mc4wp-form-fields input[type="submit"] {
	-webkit-border-radius: {$vars['rad']};
	    -ms-border-radius: {$vars['rad']};
			border-radius: {$vars['rad']};
}

CSS;
		}

		
		if (isset($css['colors']) && isset($args['colors'])) {
			$colors = $args['colors'];
			$css['colors'] .= <<<CSS

.mc4wp-form .mc4wp-form-fields button:before {
    color: {$colors['text_link']};
}
form.mc4wp-form .mc4wp-alert {
	background-color: {$colors['text_link']};
	color: {$colors['inverse_text']};
}
form.mc4wp-form .mc4wp-alert a:hover {
    color: {$colors['inverse_dark']};
}
.mc4wp-form .mc4wp-form-fields button:hover,
.mc4wp-form .mc4wp-form-fields button:focus {
    color: {$colors['text_link']};
}

CSS;
		}

		return $css;
	}
}
?>