<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package WordPress
 * @subpackage CARLAX
 * @since CARLAX 1.0
 */

if (carlax_sidebar_present()) {
	ob_start();
	$carlax_sidebar_name = carlax_get_theme_option('sidebar_widgets');
	carlax_storage_set('current_sidebar', 'sidebar');
	if ( is_active_sidebar($carlax_sidebar_name) ) {
		dynamic_sidebar($carlax_sidebar_name);
	}
	$carlax_out = trim(ob_get_contents());
	ob_end_clean();
	if (!empty($carlax_out)) {
		$carlax_sidebar_position = carlax_get_theme_option('sidebar_position');
		?>
		<div class="sidebar <?php echo esc_attr($carlax_sidebar_position); ?> widget_area<?php if (!carlax_is_inherit(carlax_get_theme_option('sidebar_scheme'))) echo ' scheme_'.esc_attr(carlax_get_theme_option('sidebar_scheme')); ?>" role="complementary">
			<div class="sidebar_inner">
				<?php
				do_action( 'carlax_action_before_sidebar' );
				carlax_show_layout(preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $carlax_out));
				do_action( 'carlax_action_after_sidebar' );
				?>
			</div><!-- /.sidebar_inner -->
		</div><!-- /.sidebar -->
		<?php
	}
}
?>