<?php
/**
 * The template to display Admin notices
 *
 * @package WordPress
 * @subpackage CARLAX
 * @since CARLAX 1.0.1
 */
 
$carlax_theme_obj = wp_get_theme();
?>
<div class="carlax_admin_notice carlax_welcome_notice update-nag"><?php
	// Theme image
	if ( ($carlax_theme_img = carlax_get_file_url('screenshot.jpg')) != '') {
	    $alt_title = esc_html__('Alt Title', 'carlax');
		?><div class="carlax_notice_image"><img src="<?php echo esc_url($carlax_theme_img); ?>" alt="<?php echo esc_attr($alt_title); ?>"></div><?php
	}

	// Title
	?><h3 class="carlax_notice_title"><?php
		// Translators: Add theme name and version to the 'Welcome' message
		echo esc_html(sprintf(__('Welcome to %1$s v.%2$s', 'carlax'),
				$carlax_theme_obj->name . (CARLAX_THEME_FREE ? ' ' . esc_html__('Free', 'carlax') : ''),
				$carlax_theme_obj->version
				));
	?></h3><?php

	// Description
	?><div class="carlax_notice_text"><?php
		echo str_replace('. ', '.<br>', wp_kses_data($carlax_theme_obj->description));
		if (!carlax_exists_trx_addons()) {
			echo (!empty($carlax_theme_obj->description) ? '<br><br>' : '')
					. wp_kses_data(__('Attention! Plugin "ThemeREX Addons" is required! Please, install and activate it!', 'carlax'));
		}
	?></div><?php

	// Buttons
	?><div class="carlax_notice_buttons"><?php
		// Link to the page 'About Theme'
		?><a href="<?php echo esc_url(admin_url().'themes.php?page=carlax_about'); ?>" class="button button-primary"><i class="dashicons dashicons-nametag"></i> <?php
			// Translators: Add theme name
			echo esc_html(sprintf(__('About %s', 'carlax'), $carlax_theme_obj->name));
		?></a><?php
		// Link to the page 'Install plugins'
		if (carlax_get_value_gp('page')!='tgmpa-install-plugins') {
			?>
			<a href="<?php echo esc_url(admin_url().'themes.php?page=tgmpa-install-plugins'); ?>" class="button button-primary"><i class="dashicons dashicons-admin-plugins"></i> <?php esc_html_e('Install plugins', 'carlax'); ?></a>
			<?php
		}
		// Link to the 'One-click demo import'
		if (function_exists('carlax_exists_ocdi') && carlax_exists_ocdi()) {
			?>
			<a href="<?php echo esc_url(admin_url().'themes.php?page=pt-one-click-demo-import'); ?>" class="button button-primary"><i class="dashicons dashicons-download"></i> <?php esc_html_e('One Click Demo Import', 'carlax'); ?></a>
			<?php
		} else if (!carlax_storage_isset('required_plugins', 'one-click-demo-import') && function_exists('carlax_exists_trx_addons') && carlax_exists_trx_addons() && class_exists('trx_addons_demo_data_importer')) {
			?>
			<a href="<?php echo esc_url(admin_url().'themes.php?page=trx_importer'); ?>" class="button button-primary"><i class="dashicons dashicons-download"></i> <?php esc_html_e('One Click Demo Import', 'carlax'); ?></a>
			<?php
		}
		// Link to the Customizer
		?><a href="<?php echo esc_url(admin_url().'customize.php'); ?>" class="button"><i class="dashicons dashicons-admin-appearance"></i> <?php esc_html_e('Theme Customizer', 'carlax'); ?></a><?php
		// Link to the Theme Options
		if (!CARLAX_THEME_FREE) {
			?><span> <?php esc_html_e('or', 'carlax'); ?> </span>
        	<a href="<?php echo esc_url(admin_url().'themes.php?page=theme_options'); ?>" class="button"><i class="dashicons dashicons-admin-appearance"></i> <?php esc_html_e('Theme Options', 'carlax'); ?></a><?php
        }
        // Dismiss this notice
        ?><a href="#" class="carlax_hide_notice"><i class="dashicons dashicons-dismiss"></i> <span class="carlax_hide_notice_text"><?php esc_html_e('Dismiss', 'carlax'); ?></span></a>
	</div>
</div>