<?php
/**
 * The template to display Admin notices
 *
 * @package WordPress
 * @subpackage CARLAX
 * @since CARLAX 1.0.1
 */
 
$carlax_theme_obj = wp_get_theme();

?>
<div class="carlax_admin_notice carlax_rate_notice update-nag"><?php
	// Theme image
	if ( ($carlax_theme_img = carlax_get_file_url('screenshot.jpg')) != '') {
        $alt_title = esc_html__('Alt Title', 'carlax');
		?><div class="carlax_notice_image"><img src="<?php echo esc_url($carlax_theme_img); ?>" alt="<?php echo esc_attr($alt_title); ?>"></div><?php
	}

	// Title
	?><h3 class="carlax_notice_title"><a href="<?php echo esc_url(carlax_storage_get('theme_download_url')); ?>" target="_blank"><?php
		// Translators: Add theme name and version to the 'Welcome' message
		echo esc_html(sprintf(__('Rate our theme "%s", please', 'carlax'),
				$carlax_theme_obj->name . (CARLAX_THEME_FREE ? ' ' . esc_html__('Free', 'carlax') : '')
				));
	?></a></h3><?php
	
	// Description
	?><div class="carlax_notice_text">
		<p><?php echo wp_kses_data(__('We are glad you chose our WP theme for your website. You’ve done well customizing your website and we hope that you’ve enjoyed working with our theme.', 'carlax')); ?></p>
		<p><?php echo wp_kses_data(__('It would be just awesome if you spend just a minute of your time to rate our theme or the customer service you’ve received from us.', 'carlax')); ?></p>
		<p class="carlax_notice_text_info"><?php echo wp_kses_data(__('* We love receiving 5-star ratings, because our CEO Henry Rise gives $5 to homeless dog shelter for every 5-star rating we get! Save the planet with us!', 'carlax')); ?></p>
	</div><?php

	// Buttons
	?><div class="carlax_notice_buttons"><?php
		// Link to the theme download page
		?><a href="<?php echo esc_url(carlax_storage_get('theme_download_url')); ?>" class="button button-primary" target="_blank"><i class="dashicons dashicons-star-filled"></i> <?php
			// Translators: Add theme name
			echo esc_html(sprintf(__('Rate theme %s', 'carlax'), $carlax_theme_obj->name));
		?></a><?php
		// Link to the theme support
		?><a href="<?php echo esc_url(carlax_storage_get('theme_support_url')); ?>" class="button" target="_blank"><i class="dashicons dashicons-sos"></i> <?php
			esc_html_e('Support', 'carlax');
		?></a><?php
		// Link to the theme documentation
		?><a href="<?php echo esc_url(carlax_storage_get('theme_doc_url')); ?>" class="button" target="_blank"><i class="dashicons dashicons-book"></i> <?php
			esc_html_e('Documentation', 'carlax');
		?></a><?php
		// Dismiss
		?><a href="#" class="carlax_hide_notice"><i class="dashicons dashicons-dismiss"></i> <span class="carlax_hide_notice_text"><?php esc_html_e('Dismiss', 'carlax'); ?></span></a>
	</div>
</div>