<?php
/**
 * The template to display default site footer
 *
 * @package WordPress
 * @subpackage CARLAX
 * @since CARLAX 1.0.10
 */

$carlax_footer_id = str_replace('footer-custom-', '', carlax_get_theme_option("footer_style"));
if ((int) $carlax_footer_id == 0) {
	$carlax_footer_id = carlax_get_post_id(array(
												'name' => $carlax_footer_id,
												'post_type' => defined('TRX_ADDONS_CPT_LAYOUTS_PT') ? TRX_ADDONS_CPT_LAYOUTS_PT : 'cpt_layouts'
												)
											);
} else {
	$carlax_footer_id = apply_filters('carlax_filter_get_translated_layout', $carlax_footer_id);
}
$carlax_footer_meta = get_post_meta($carlax_footer_id, 'trx_addons_options', true);
if (!empty($carlax_footer_meta['margin']) != '') 
	carlax_add_inline_css(sprintf('.page_content_wrap{padding-bottom:%s}', esc_attr(carlax_prepare_css_value($carlax_footer_meta['margin']))));
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr($carlax_footer_id); 
						?> footer_custom_<?php echo esc_attr(sanitize_title(get_the_title($carlax_footer_id))); 
						if (!carlax_is_inherit(carlax_get_theme_option('footer_scheme')))
							echo ' scheme_' . esc_attr(carlax_get_theme_option('footer_scheme'));
						?>">
	<?php
    // Custom footer's layout
    do_action('carlax_action_show_layout', $carlax_footer_id);
	?>
</footer><!-- /.footer_wrap -->
