<?php
/**
 * The template to display the site logo in the footer
 *
 * @package WordPress
 * @subpackage CARLAX
 * @since CARLAX 1.0.10
 */

// Logo
if (carlax_is_on(carlax_get_theme_option('logo_in_footer'))) {
	$carlax_logo_image = carlax_get_logo_image('footer');
	$carlax_logo_text  = get_bloginfo( 'name' );
	if (!empty($carlax_logo_image) || !empty($carlax_logo_text)) {
		?>
		<div class="footer_logo_wrap">
			<div class="footer_logo_inner">
				<?php
				if (!empty($carlax_logo_image)) {
					$carlax_attr = carlax_getimagesize($carlax_logo_image);
                    $alt_title = esc_html__('Footer Img', 'carlax');
					echo '<a href="'.esc_url(home_url('/')).'"><img src="'.esc_url($carlax_logo_image).'" class="logo_footer_image" alt="'.esc_attr($alt_title).'"'.(!empty($carlax_attr[3]) ? ' ' . wp_kses_data($carlax_attr[3]) : '').'></a>' ;
				} else if (!empty($carlax_logo_text)) {
					echo '<h1 class="logo_footer_text"><a href="'.esc_url(home_url('/')).'">' . esc_html($carlax_logo_text) . '</a></h1>';
				}
				?>
			</div>
		</div>
		<?php
	}
}
?>