<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package WordPress
 * @subpackage CARLAX
 * @since CARLAX 1.0.10
 */

// Footer sidebar
$carlax_footer_name = carlax_get_theme_option('footer_widgets');
$carlax_footer_present = !carlax_is_off($carlax_footer_name) && is_active_sidebar($carlax_footer_name);
if ($carlax_footer_present) { 
	carlax_storage_set('current_sidebar', 'footer');
	$carlax_footer_wide = carlax_get_theme_option('footer_wide');
	ob_start();
	if ( is_active_sidebar($carlax_footer_name) ) {
		dynamic_sidebar($carlax_footer_name);
	}
	$carlax_out = trim(ob_get_contents());
	ob_end_clean();
	if (!empty($carlax_out)) {
		$carlax_out = preg_replace("/<\\/aside>[\r\n\s]*<aside/", "</aside><aside", $carlax_out);
		$carlax_need_columns = true;	//or check: strpos($carlax_out, 'columns_wrap')===false;
		if ($carlax_need_columns) {
			$carlax_columns = max(0, (int) carlax_get_theme_option('footer_columns'));
			if ($carlax_columns == 0) $carlax_columns = min(4, max(1, substr_count($carlax_out, '<aside ')));
			if ($carlax_columns > 1)
				$carlax_out = preg_replace("/<aside([^>]*)class=\"widget/", "<aside$1class=\"column-1_".esc_attr($carlax_columns).' widget', $carlax_out);
			else
				$carlax_need_columns = false;
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo !empty($carlax_footer_wide) ? ' footer_fullwidth' : ''; ?> sc_layouts_row sc_layouts_row_type_normal">
			<div class="footer_widgets_inner widget_area_inner">
				<?php 
				if (!$carlax_footer_wide) { 
					?><div class="content_wrap"><?php
				}
				if ($carlax_need_columns) {
					?><div class="columns_wrap"><?php
				}
				do_action( 'carlax_action_before_sidebar' );
				carlax_show_layout($carlax_out);
				do_action( 'carlax_action_after_sidebar' );
				if ($carlax_need_columns) {
					?></div><!-- /.columns_wrap --><?php
				}
				if (!$carlax_footer_wide) {
					?></div><!-- /.content_wrap --><?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
?>