<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package WordPress
 * @subpackage CARLAX
 * @since CARLAX 1.0.06
 */

$carlax_header_css = '';
$carlax_header_image = get_header_image();
$carlax_header_video = carlax_get_header_video();
if (!empty($carlax_header_image) && carlax_trx_addons_featured_image_override(is_singular() || carlax_storage_isset('blog_archive') || is_category())) {
	$carlax_header_image = carlax_get_current_mode_image($carlax_header_image);
}

$carlax_header_id = str_replace('header-custom-', '', carlax_get_theme_option("header_style"));
if ((int) $carlax_header_id == 0) {
	$carlax_header_id = carlax_get_post_id(array(
												'name' => $carlax_header_id,
												'post_type' => defined('TRX_ADDONS_CPT_LAYOUTS_PT') ? TRX_ADDONS_CPT_LAYOUTS_PT : 'cpt_layouts'
												)
											);
} else {
	$carlax_header_id = apply_filters('carlax_filter_get_translated_layout', $carlax_header_id);
}
$carlax_header_meta = get_post_meta($carlax_header_id, 'trx_addons_options', true);
if (!empty($carlax_header_meta['margin']) != '') 
	carlax_add_inline_css(sprintf('.page_content_wrap{padding-top:%s}', esc_attr(carlax_prepare_css_value($carlax_header_meta['margin']))));

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr($carlax_header_id); 
				?> top_panel_custom_<?php echo esc_attr(sanitize_title(get_the_title($carlax_header_id)));
				echo !empty($carlax_header_image) || !empty($carlax_header_video) 
					? ' with_bg_image' 
					: ' without_bg_image';
				if ($carlax_header_video!='') 
					echo ' with_bg_video';
				if ($carlax_header_image!='') 
					echo ' '.esc_attr(carlax_add_inline_css_class('background-image: url('.esc_url($carlax_header_image).');'));
				if (is_single() && has_post_thumbnail()) 
					echo ' with_featured_image';
				if (carlax_is_on(carlax_get_theme_option('header_fullheight'))) 
					echo ' header_fullheight carlax-full-height';
				if (!carlax_is_inherit(carlax_get_theme_option('header_scheme')))
					echo ' scheme_' . esc_attr(carlax_get_theme_option('header_scheme'));
				?>"><?php

	// Background video
	if (!empty($carlax_header_video)) {
		get_template_part( apply_filters('carlax_filter_get_template_part', 'templates/header-video') );
	}
		
	// Custom header's layout
	do_action('carlax_action_show_layout', $carlax_header_id);

	// Header widgets area
	get_template_part( apply_filters('carlax_filter_get_template_part', 'templates/header-widgets') );
		
?></header>