<?php
/**
 * The template to display default site header
 *
 * @package WordPress
 * @subpackage CARLAX
 * @since CARLAX 1.0
 */

$carlax_header_css = '';
$carlax_header_image = get_header_image();
$carlax_header_video = carlax_get_header_video();
if (!empty($carlax_header_image) && carlax_trx_addons_featured_image_override(is_singular() || carlax_storage_isset('blog_archive') || is_category())) {
	$carlax_header_image = carlax_get_current_mode_image($carlax_header_image);
}

?><header class="top_panel top_panel_default<?php
					echo !empty($carlax_header_image) || !empty($carlax_header_video) ? ' with_bg_image' : ' without_bg_image';
					if ($carlax_header_video!='') echo ' with_bg_video';
					if ($carlax_header_image!='') echo ' '.esc_attr(carlax_add_inline_css_class('background-image: url('.esc_url($carlax_header_image).');'));
					if (is_single() && has_post_thumbnail()) echo ' with_featured_image';
					if (carlax_is_on(carlax_get_theme_option('header_fullheight'))) echo ' header_fullheight carlax-full-height';
					if (!carlax_is_inherit(carlax_get_theme_option('header_scheme')))
						echo ' scheme_' . esc_attr(carlax_get_theme_option('header_scheme'));
					?>"><?php

	// Background video
	if (!empty($carlax_header_video)) {
		get_template_part( apply_filters('carlax_filter_get_template_part', 'templates/header-video') );
	}
	
	// Main menu
	if (carlax_get_theme_option("menu_style") == 'top') {
		get_template_part( apply_filters('carlax_filter_get_template_part', 'templates/header-navi') );
	}

	// Mobile header
	if (carlax_is_on(carlax_get_theme_option("header_mobile_enabled"))) {
		get_template_part( apply_filters('carlax_filter_get_template_part', 'templates/header-mobile') );
	}
	
	// Page title and breadcrumbs area
	get_template_part( apply_filters('carlax_filter_get_template_part', 'templates/header-title') );

	// Header widgets area
	get_template_part( apply_filters('carlax_filter_get_template_part', 'templates/header-widgets') );

	// Display featured image in the header on the single posts
	// Comment next line to prevent show featured image in the header area
	// and display it in the post's content
	//get_template_part( apply_filters('carlax_filter_get_template_part', 'templates/header-single') );

?></header>