<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package WordPress
 * @subpackage CARLAX
 * @since CARLAX 1.0
 */

$carlax_args = get_query_var('carlax_logo_args');

// Site logo
$carlax_logo_type   = isset($carlax_args['type']) ? $carlax_args['type'] : '';
$carlax_logo_image  = carlax_get_logo_image($carlax_logo_type);
$carlax_logo_text   = carlax_is_on(carlax_get_theme_option('logo_text')) ? get_bloginfo( 'name' ) : '';
$carlax_logo_slogan = get_bloginfo( 'description', 'display' );
if (!empty($carlax_logo_image) || !empty($carlax_logo_text)) {
	?><a class="sc_layouts_logo" href="<?php echo esc_url(home_url('/')); ?>"><?php
		if (!empty($carlax_logo_image)) {
			if (empty($carlax_logo_type) && function_exists('the_custom_logo') && (int) $carlax_logo_image > 0) {
				the_custom_logo();
			} else {
				$carlax_attr = carlax_getimagesize($carlax_logo_image);
				echo '<img src="'.esc_url($carlax_logo_image).'" alt="'.esc_attr($carlax_logo_text).'"'.(!empty($carlax_attr[3]) ? ' '.wp_kses_data($carlax_attr[3]) : '').'>';
			}
		} else {
			carlax_show_layout(carlax_prepare_macros($carlax_logo_text), '<span class="logo_text">', '</span>');
			carlax_show_layout(carlax_prepare_macros($carlax_logo_slogan), '<span class="logo_slogan">', '</span>');
		}
	?></a><?php
}
?>