<?php
/**
 * The template to display the page title and breadcrumbs
 *
 * @package WordPress
 * @subpackage CARLAX
 * @since CARLAX 1.0
 */

// Page (category, tag, archive, author) title

if ( carlax_need_page_title() ) {
	carlax_sc_layouts_showed('title', true);
	carlax_sc_layouts_showed('postmeta', false);
	?>
	<div class="top_panel_title sc_layouts_row sc_layouts_row_type_normal">
		<div class="content_wrap">
			<div class="sc_layouts_column sc_layouts_column_align_center">
				<div class="sc_layouts_item">
					<div class="sc_layouts_title sc_align_center">
						<?php
						// Post meta on the single post
						if ( false && is_single() )  {
							?><div class="sc_layouts_title_meta"><?php
								carlax_show_post_meta(apply_filters('carlax_filter_post_meta_args', array(
									'components' => carlax_array_get_keys_by_value(carlax_get_theme_option('meta_parts')),
									'counters' => carlax_array_get_keys_by_value(carlax_get_theme_option('counters')),
									'seo' => carlax_is_on(carlax_get_theme_option('seo_snippets'))
									), 'header', 1)
								);
							?></div><?php
						}
						
						// Blog/Post title
						?><div class="sc_layouts_title_title"><?php
							$carlax_blog_title = carlax_get_blog_title();
							$carlax_blog_title_text = $carlax_blog_title_class = $carlax_blog_title_link = $carlax_blog_title_link_text = '';
							if (is_array($carlax_blog_title)) {
								$carlax_blog_title_text = $carlax_blog_title['text'];
								$carlax_blog_title_class = !empty($carlax_blog_title['class']) ? ' '.$carlax_blog_title['class'] : '';
								$carlax_blog_title_link = !empty($carlax_blog_title['link']) ? $carlax_blog_title['link'] : '';
								$carlax_blog_title_link_text = !empty($carlax_blog_title['link_text']) ? $carlax_blog_title['link_text'] : '';
							} else
								$carlax_blog_title_text = $carlax_blog_title;
							?>
							<h1 itemprop="headline" class="sc_layouts_title_caption<?php echo esc_attr($carlax_blog_title_class); ?>"><?php
								$carlax_top_icon = carlax_get_category_icon();
								if (!empty($carlax_top_icon)) {
									$carlax_attr = carlax_getimagesize($carlax_top_icon);
                                    $alt_title = esc_html__('Title Img', 'carlax');
									?><img src="<?php echo esc_url($carlax_top_icon); ?>" alt="<?php echo esc_attr($alt_title); ?>" <?php if (!empty($carlax_attr[3])) carlax_show_layout($carlax_attr[3]);?>><?php
								}
								echo wp_kses_data($carlax_blog_title_text);
							?></h1>
							<?php
							if (!empty($carlax_blog_title_link) && !empty($carlax_blog_title_link_text)) {
								?><a href="<?php echo esc_url($carlax_blog_title_link); ?>" class="theme_button theme_button_small sc_layouts_title_link"><?php echo esc_html($carlax_blog_title_link_text); ?></a><?php
							}
							
							// Category/Tag description
							if ( is_category() || is_tag() || is_tax() ) 
								the_archive_description( '<div class="sc_layouts_title_description">', '</div>' );
		
						?></div><?php
	
						// Breadcrumbs
						?><div class="sc_layouts_title_breadcrumbs"><?php
							do_action( 'carlax_action_breadcrumbs');
						?></div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php
}
?>