<?php
/**
 * The template to display the widgets area in the header
 *
 * @package WordPress
 * @subpackage CARLAX
 * @since CARLAX 1.0
 */

// Header sidebar
$carlax_header_name = carlax_get_theme_option('header_widgets');
$carlax_header_present = !carlax_is_off($carlax_header_name) && is_active_sidebar($carlax_header_name);
if ($carlax_header_present) { 
	carlax_storage_set('current_sidebar', 'header');
	$carlax_header_wide = carlax_get_theme_option('header_wide');
	ob_start();
	if ( is_active_sidebar($carlax_header_name) ) {
		dynamic_sidebar($carlax_header_name);
	}
	$carlax_widgets_output = ob_get_contents();
	ob_end_clean();
	if (!empty($carlax_widgets_output)) {
		$carlax_widgets_output = preg_replace("/<\/aside>[\r\n\s]*<aside/", "</aside><aside", $carlax_widgets_output);
		$carlax_need_columns = strpos($carlax_widgets_output, 'columns_wrap')===false;
		if ($carlax_need_columns) {
			$carlax_columns = max(0, (int) carlax_get_theme_option('header_columns'));
			if ($carlax_columns == 0) $carlax_columns = min(6, max(1, substr_count($carlax_widgets_output, '<aside ')));
			if ($carlax_columns > 1)
				$carlax_widgets_output = preg_replace("/<aside([^>]*)class=\"widget/", "<aside$1class=\"column-1_".esc_attr($carlax_columns).' widget', $carlax_widgets_output);
			else
				$carlax_need_columns = false;
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo !empty($carlax_header_wide) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<div class="header_widgets_inner widget_area_inner">
				<?php 
				if (!$carlax_header_wide) { 
					?><div class="content_wrap"><?php
				}
				if ($carlax_need_columns) {
					?><div class="columns_wrap"><?php
				}
				do_action( 'carlax_action_before_sidebar' );
				carlax_show_layout($carlax_widgets_output);
				do_action( 'carlax_action_after_sidebar' );
				if ($carlax_need_columns) {
					?></div>	<!-- /.columns_wrap --><?php
				}
				if (!$carlax_header_wide) {
					?></div>	<!-- /.content_wrap --><?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
?>